MCP Tools Reference: storage.googleapis.com

Tool: delete_bucket

Deletes a bucket from a project.

The following sample demonstrates how to use curl to invoke the delete_bucket MCP tool.

Curl Request
curl --location 'https://storage.googleapis.com/storage/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_bucket",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

Request message for DeleteBucket.

DeleteBucketRequest

JSON representation
{
  "bucketName": string
}
Fields
bucketName

string

Required. The name of the bucket to delete.

Output Schema

If successful, this method returns an empty response body. You can re-use the empty message to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

Tool Annotations

Destructive Hint: ✅ | Idempotent Hint: ✅ | Read Only Hint: ❌ | Open World Hint: ✅